#!/usr/bin/env python3

from audit.system.plugins.postfix.parsing import Parsing
from audit.system.plugins.postfix.postfix import postfix

class Postfix:
    def __init__(self, arguments):
        self._objects = dict()
        self._reports = dict()
        self._arguments = arguments

        self._postfix()

        self._parsing = Parsing(self._objects, arguments)

    def _postfix(self):
        """
            Store all data to analyze in the object variable
        """
        self._objects = postfix()

    def runAudit(self):
        print("Running test for postfix")
        self._parsing.runParsing()

        self._reports = self._parsing.getResults()

    def getReports(self) -> dict:
        return self._reports
